## START: Set by rpmautospec
## (rpmautospec version 0.3.5)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 2;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by go2rpm 1.9.0
%bcond_without check

# https://github.com/schollz/croc
%global goipath         github.com/schollz/croc
Version:                9.6.4

%gometa -f

%global goaltipaths     github.com/schollz/croc/v9

%global common_description %{expand:
croc is a tool that allows any two computers to simply and securely transfer
files and folders.}

%global golicenses      LICENSE
%global godocs          README.md

Name:           %{goname}
Release:        %autorelease
Summary:        Easily and securely send things from one computer to another

License:        MIT
URL:            %{gourl}
Source:         %{gosource}

BuildRequires:  systemd-rpm-macros

%description %{common_description}

%package -n     croc
Summary:        %{summary}
%description -n croc
%{common_description}

%gopkg

%prep
%goprep
%autopatch -p1

%generate_buildrequires
%go_generate_buildrequires

%build
%gobuild -o %{gobuilddir}/bin/croc %{goipath}

%install
%gopkginstall
install -m 0755 -vd                     %{buildroot}%{_bindir}
install -m 0755 -vp %{gobuilddir}/bin/* %{buildroot}%{_bindir}/

install -Dpm0644 -t %{buildroot}%{_unitdir} croc.service
install -Dpm0644 src/install/bash_autocomplete \
                 %{buildroot}%{bash_completions_dir}/croc
install -Dpm0644 src/install/zsh_autocomplete \
                 %{buildroot}%{zsh_completions_dir}/_croc

%if %{with check}
%check
skip="TestPublicIP"
%if 0%{?fc38}
%ifarch s390x
skip="$skip TestSend"
%endif
%endif
for test in $skip \
; do
awk -i inplace '/^func.*'"$test"'\(/ { print; print "\tt.Skip(\"disabled failing test\")"; next}1' $(grep -rl $test)
done

%gocheck
%endif

%post
%systemd_post croc.service

%preun
%systemd_preun croc.service

%postun
%systemd_postun_with_restart croc.service

%files -n croc
%license LICENSE
%doc README.md
%{_bindir}/*
%{bash_completions_dir}/croc
%{zsh_completions_dir}/_croc
%{_unitdir}/croc.service

%gopkgfiles

%changelog
* Sun Jun 25 2023 Davide Cavalca <dcavalca@fedoraproject.org> - 9.6.4-2
- Gate out broken test on s390x for f38

* Fri May 19 2023 Mikel Olasagasti Uranga <mikel@olasagasti.info> - 9.6.4-1
- Update to 9.6.4 - Closes rhbz#2208585 rhbz#2171537 rhbz#2163218

* Thu Jan 19 2023 Fedora Release Engineering <releng@fedoraproject.org> - 9.5.2-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Thu Jul 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 9.5.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Tue Jul 19 2022 Maxwell G <gotmax@e.email> - 9.5.2-2
- Rebuild for
  CVE-2022-{1705,32148,30631,30633,28131,30635,30632,30630,1962} in golang

* Wed Mar 02 2022 Davide Cavalca <dcavalca@fedoraproject.org> - 9.5.2-1
- Initial import; Fixes: RHBZ#1980196
